# Xapian::InMemory Namespace Reference

Database factory functions for the inmemory backend. More...

## Functions
WritableDatabase | open ()
| Construct a WritableDatabase object for a new, empty InMemory database.

## Detailed Description

Database factory functions for the inmemory backend.

## Function Documentation

WritableDatabase Xapian::InMemory::open | ( |  | ) |

Construct a WritableDatabase object for a new, empty InMemory database.

Only a writable InMemory database can be created, since a read-only one would always remain empty.